#!/bin/sh

# Exit on errors
set -e
trap 'set +e' EXIT

export PATH=/usr/ccache/bin/:/usr/lib/icecc/bin:$PATH

if test ! -x ../kdenox/admin ; then \
  cp -la ../kdelibs/admin ../kdenox
fi

export TARGET=x86
#export ARCH_CONFIG_OPTION=

export SDK=~/sdk/
export QTDIR=${SDK}/qt-2.3.10
export QPEDIR=${SDK}/qtopia-free-2.1.1
export UNSERMAKE=no
export CXXFLAGS="-DENABLE_BOOKMARKS -DQT_THREAD_SUPPORT -DQ_OS_UNIX -DQT_NO_DOM -DQT_NO_STL"

cd ../kdenox
make -f Makefile.cvs
cd -

../kdenox/configure \
        --with-gui=road \
        --host=i686-linux \
	--prefix=$HOME/konq-embedded-i686 \
	--with-ipv6-lookup=no \
	--without-xinerama \
	--disable-scrollbars \
	--disable-selection \
	--disable-bookmarks \
	--with-javascript=static \
	--enable-debug=full \
	--disable-printing \
	--enable-pcre \
	--without-arts \
	--enable-jshostext \
	--enable-final \
	--enable-qt-embedded \
	--enable-rtti-embedded \
	--enable-mt \
	--enable-qt-mt\
	--with-qt-dir=$QTDIR \
	--with-qt-includes=$QTDIR/include \
	--with-qt-libraries=$QTDIR/lib \
	--enable-fwnewepg=yes \
	--enable-embedded \
#	--enable-final \
# --enable-fwslavemode=yes
# --disable-threading \
# --disable-mt \
# --disable-javascript \
# --disable-threading \
# --with-pic


#	--enable-qtopia \
#	--with-gui=x11 \
#	--x-libraries=/usr/X11R6/lib \
#	--x-includes=/usr/X11R6/include \
#	--with-stb2-includes=$HOME/src/STB2/include \
#	--with-libfastweb-includes=$HOME/src/STB2/libfastweb \
#	--with-libfastweb-lib=$HOME/src/STB2/libfastweb \


#	--host=$TARGET \
#	--target=$TARGET \
#	$ARCH_CONFIG_OPTION \

echo Press key to compile
read

make && make install
